#include <Arduino.h>
#include <Receiver.cpp>

unsigned int _output = 12;
void messageCallback(char *message);
Receiver _receiver(&messageCallback, 9);

bool validateMessage(char* message){
	return strncmp("LED On: ", message, 8) == 0; //returns 0 on match
}

bool parseMessage(char* message){
	return validateMessage(message) && message[8] == '1';
}

void messageCallback(char* message){
	Serial.print("Message: ");
	Serial.println(message);

	Serial.println(validateMessage(message));
	Serial.println(parseMessage(message));
}

void setup(){
	pinMode(_output, OUTPUT);
	Serial.begin(9600);
	Serial.println("Starting...");
	if (!_receiver.setup())
		Serial.println("init failed");
	Serial.println("Started");
}

void loop(){
	_receiver.loop();
}